<?php

declare(strict_types=1);

namespace Drupal\entity_type_access_conditions;

use Drupal\Core\Plugin\PluginBase;

/**
 * Default class used for entity_type_access_conditions plugins.
 */
final class EntityTypeAccessConditionsDefault extends PluginBase implements EntityTypeAccessConditionsInterface {

  /**
   * {@inheritdoc}
   */
  public function label(): string {
    // The title from YAML file discovery may be a TranslatableMarkup object.
    return (string) $this->pluginDefinition['label'];
  }

  /**
   * {@inheritdoc}
   */
  public function restrictedOperations(): array {
    return $this->pluginDefinition['restricted_operations'] ?? [];
  }

  /**
   * {@inheritdoc}
   */
  public function alteredForms(): array {
    return $this->pluginDefinition['altered_forms'] ?? [];
  }

}
