<?php

declare(strict_types=1);

namespace Drupal\entity_type_access_conditions;

/**
 * Interface for entity_type_access_conditions plugins.
 */
interface EntityTypeAccessConditionsInterface {

  /**
   * Returns the translated plugin label.
   */
  public function label(): string;

  /**
   * Returns the operations that are restricted.
   */
  public function restrictedOperations(): array;

  /**
   * Returns the forms to alter.
   */
  public function alteredForms(): array;

}
