<?php

declare(strict_types=1);

namespace Drupal\entity_type_access_conditions\Form;

use Drupal\conditions_helper\Form\ConditionSelectorSettingsFormBase;

/**
 * Configure Entity Type Access Conditions settings.
 */
class SettingsForm extends ConditionSelectorSettingsFormBase {

  /**
   * Config settings name.
   *
   * @var string
   */
  public const SETTINGS = 'entity_type_access_conditions.settings';

  /**
   * {@inheritdoc}
   */
  public function getFormId(): string {
    return 'entity_type_access_conditions_settings';
  }

  /**
   * {@inheritdoc}
   */
  protected function getEditableConfigNames(): array {
    return [static::SETTINGS];
  }

}
